<?php
/**
 * This file is used for your blog and archive entries.
 *
 * @package   Portafolio WordPress Theme
 * @author    Alexander Clarke
 * @copyright Copyright WPExplorer.com
 * @link      http://www.wpexplorer.com
 */


// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
 
/* Post
-------------------------------------------------------------------------------*/
if ( is_singular() && is_main_query() ) { ?>
	
	<header id="post-header">
		<h1><?php the_title(); ?></h1>
		<ul class="meta clr">
			<li><?php _e( 'On', 'portafolio' ); ?><span> <?php echo get_the_date(); ?></span> &middot; </li> 
			<li><?php _e( 'By', 'portafolio' ); ?> <?php the_author_posts_link(); ?> &middot; </li>   
			<?php if ( comments_open() ) { ?>
				<li><?php _e( 'With', 'portafolio' ); ?> <?php comments_popup_link(__( '0 Comments', 'portafolio' ), __( '1 Comment', 'portafolio' ), __( '% Comments', 'portafolio' ), 'comments-link' ); ?></li>
			<?php } ?>
		</ul>
	</header>

	<?php if ( has_post_thumbnail() ) : ?>

		<div id="post-thumbnail"><?php the_post_thumbnail( 'wpex_post' ); ?></div>

	<?php endif; ?>

	<article class="entry clr"><?php the_content(); ?></article>

	<?php wp_link_pages(); ?>

	<?php comments_template(); ?>
	
<?php
/* Entry
-------------------------------------------------------------------------------*/
} else { ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class( 'blog-entry clr' ); ?>>
	
		<?php if( has_post_thumbnail()) : ?>
		<div class="thumb-image">
		<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>"><?php the_post_thumbnail( 'wpex_entry' ); ?></a>
		</div><!-- thumb-image -->
		<?php endif; ?>



<div class="post-excerpt">
	<div class="post-infos">
<span class="icon-person"><?php _e( '', 'esakademi' ); ?> <?php the_author_posts_link(); ?></span> -
<span class="icon-calendar"><?php the_time('j F, Y'); ?></span> -
<span><?php the_category(', '); ?></span> -
<span class="icon-comments"><i class="fa fa-comments-o"></i><?php if (comments_open( get_the_ID() ) ) comments_popup_link( __( 'Yorum bırak', 'html5blank' ), __( ' 1 Yorum', 'esakademi' ), __( '% Yorum', 'html5blank' )); ?></span>
		</div><!-- /.post-infos -->
	<header class="post-heading">
	<h2><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a></h2>
	</header>

	<?php if ( get_theme_mod( 'wpex_blog_excerpt', true ) ) { ?>
	<?php the_excerpt(); ?>
	 <a class="theme-button" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( the_title_attribute( 'echo=0' ) ); ?>"><?php _e( 'Okumaya devam', 'portafolio' ); ?> &rarr;</a>
	<?php } else { ?>
	<?php the_content(); ?>
	<?php } ?>
	

</div><!-- post-excerpt -->
</article>
<?php } ?>