<?php
/**
 * Custom functions that act independently of the theme templates
 *
 * Eventually, some of the functionality here could be replaced by core features
 *
 * @package Clean Blog
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function cleanblog_body_classes( $classes ) {
	// Adds a class of group-blog to blogs with more than 1 published author.
	if ( is_multi_author() ) {
		$classes[] = 'group-blog';
	}

	return $classes;
}
add_filter( 'body_class', 'cleanblog_body_classes' );

if ( version_compare( $GLOBALS['wp_version'], '4.1', '<' ) ) :
	/**
	 * Filters wp_title to print a neat <title> tag based on what is being viewed.
	 *
	 * @param string $title Default title text for current view.
	 * @param string $sep Optional separator.
	 * @return string The filtered title.
	 */
	function cleanblog_wp_title( $title, $sep ) {
		if ( is_feed() ) {
			return $title;
		}

		global $page, $paged;

		// Add the blog name.
		$title .= get_bloginfo( 'name', 'display' );

		// Add the blog description for the home/front page.
		$site_description = get_bloginfo( 'description', 'display' );
		if ( $site_description && ( is_home() || is_front_page() ) ) {
			$title .= " $sep $site_description";
		}

		// Add a page number if necessary.
		if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() ) {
			$title .= " $sep " . sprintf( esc_html__( 'Page %s', 'cleanblog' ), max( $paged, $page ) );
		}

		return $title;
	}
	add_filter( 'wp_title', 'cleanblog_wp_title', 10, 2 );

	/**
	 * Title shim for sites older than WordPress 4.1.
	 *
	 * @link https://make.wordpress.org/core/2014/10/29/title-tags-in-4-1/
	 * @todo Remove this function when WordPress 4.3 is released.
	 */
	function cleanblog_render_title() {
		?>
		<title><?php wp_title( '|', true, 'right' ); ?></title>
		<?php
	}
	add_action( 'wp_head', 'cleanblog_render_title' );
endif;
function beauty_navigasyon(){
	echo '<nav class="header-nav">';
					 echo '<ul class="mobile-menu">';
					
						if ( has_nav_menu( 'primary' ) ) {
																			
							wp_nav_menu( array( 
							
								'container' => '', 
								'items_wrap' => '%3$s',
								'theme_location' => 'primary', 
								'walker' => new hemingway_nav_walker
															
							) ); } else {
						
							wp_list_pages( array(
							
								'container' => '',
								'title_li' => ''
							
							));
							
						}
						
					 echo '</ul>';
   		echo '<div class="logom und hamburberim">';
					echo '<div class="burger">';
						echo '<div class="line1"></div>';
						echo '<div class="line2"></div>';
						echo '<div class="line3"></div>';
					echo '</div>';
				echo '<div class="logo"><h4><a href="'.esc_url( home_url( '/' ) ).'" class="navbar-brand" title="'.esc_attr( get_bloginfo( 'name', 'display' ) ).'">'.esc_attr( get_bloginfo( 'name', 'display' ) ).'</a></h4></div>';
		echo '</div><!-- /.logom und hamburberim -->';
		echo '<div class="user_option">';
		echo '<div class="user_loggin">';
			echo '<div class="cocuk">';
			echo '<a href="';
			echo admin_url( 'profile.php' );
			echo '" class="user_link">';
			echo '<i class="fa fa-user" aria-hidden="true"></i>';
			echo '</a>';
			echo '<div class="torun">';
					echo '<div>';
                if ( !is_user_logged_in() ){
                  
					wp_login_form();
				}
				
				else {
					
					echo '<a href="'.admin_url( 'profile.php' ).'" class="user_link" title="'.esc_html__('Profil sayfanıza gidin', 'textdomain').'">'.esc_html__('Hesabım', 'textdomain').'</a>';
				}
				
			echo '</div>';
				echo '</div><!-- torun -->';
			echo '</div><!-- cocuk -->';
		echo '</div><!-- user_login -->';
	echo '<div class="aramak">';
	echo '<div id="mvp-search-wrap" class="">';
	echo '<div id="mvp-search-box">';
	get_search_form();
	 echo '</div>';
	echo '<div class="mvp-search-but-wrap-parent">';
	echo '<div class="mvp-search-but-wrap mvp-search-click">';
	echo '<span></span>';
	echo '<span></span>';
	echo '</div>';
	echo '</div>';
	echo '</div>';
	echo '<button class="btn  my-2 my-sm-0 nav_search-btn" type="submit">';
	echo '<span class="mvp-nav-search-but fa fa-search fa-2 mvp-search-click"></span>';
	echo '</button>';
	echo '</div>';
if ( function_exists( 'rezervasyon' ) ) {
				global $rezervasyon;
				rezervasyon();
				}
	echo '</div>';
	echo'</nav>';
}
