<?php
/**
 * Custom template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Clean Blog
 */
if ( ! function_exists( 'rezervasyon' ) ) :
/**
 * Displays rezervasyon buton with meta information in header if user add a link in custom page template
 *includes toggle menu, logo, user login, woo cart search pop up and rezervasyon button
 */
function rezervasyon() {
    global $post;
?>
        <?php 
       $args=array(
            'post_type' => 'page',
            'posts_per_page' => -1,
          );
            $wp_query = new WP_Query($args); 

            if( have_posts() ) : while ($wp_query->have_posts()) : $wp_query->the_post();

  $rez_but = get_post_meta( $post-> ID, '_kad_rezervasyon', true);
                if( $rez_but) :?> 
<?php echo '<a href="'.esc_url( $rez_but ).'" class="order_online button">'.esc_html__( 'Rezervasyon', 'text-domain' ).'</a>'; ?>

                <?php endif ?>
                <?php endwhile; else: ?>
        <?php endif; wp_reset_query(); ?>

<?php }
endif;
if ( ! function_exists( 'cleanblog_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time and author.
 */
function cleanblog_posted_on() {
	$author_id = '';
	//equivalent to is_page || is_attachment || is_single
	if (is_singular()) {
		$author_id = get_queried_object()->post_author;
	}

	$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
	if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
		$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><span class="updated-time">,&nbsp;Güncellendi  <time class="updated" datetime="%3$s">%4$s</time></span>';
	}

	$time_string = sprintf( $time_string,
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() ),
		esc_attr( get_the_modified_date( 'c' ) ),
		esc_html( get_the_modified_date() )
	);

	$posted_on = sprintf(
		esc_html_x( 'tarih %s', 'post date', 'cleanblog' ),
		$time_string
	);

	$byauthor = sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></span>',
		esc_url( get_author_posts_url( get_the_author_meta( 'ID', $author_id ) ) ),
		esc_attr( sprintf( __( 'View all posts by %s', 'cleanblog' ), get_the_author_meta( "display_name", $author_id ) ) ),
		get_the_author_meta( "display_name", $author_id )
	);

	$byline = sprintf(
		esc_html_x( 'Yazar %s', 'posted by', 'cleanblog' ),
		$byauthor
	);

	echo '<span class="byline"> ' . $byline . '</span> <span class="posted-on">' . $posted_on . '</span>'; // WPCS: XSS OK.

}
endif;
/**
 * Returns true if a blog has more than 1 category.
 */
function rootstrap_categorized_blog() {
	if ( false === ( $all_the_cool_cats = get_transient( 'all_the_cool_cats' ) ) ) {
		// Create an array of all the categories that are attached to posts.
		$all_the_cool_cats = get_categories( array(
			'hide_empty' => 1,
		) );

		// Count the number of categories that are attached to the posts.
		$all_the_cool_cats = count( $all_the_cool_cats );

		set_transient( 'all_the_cool_cats', $all_the_cool_cats );
	}

	if ( '1' != $all_the_cool_cats ) {
		// This blog has more than 1 category so rootstrap_categorized_blog should return true.
		return true;
	} else {
		// This blog has only 1 category so rootstrap_categorized_blog should return false.
		return false;
	}
}
if ( ! function_exists( 'cleanblog_header' ) ) :
/**
 * Custom header codes for the home page, single posts and pages
 */
function cleanblog_header() {
	global $post;
?>

	<?php if( is_single() ) { ?>

    <!-- Page Header -->
    <!-- Set your background image for this header on the line below. -->
	<?php
		$feat_image = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
	?>
    <header class="intro-header" style="background-color: <?php echo get_theme_mod( 'cleanblog_header_background_color' ); ?>; background-image: url('<?php echo $feat_image; ?>')">
        <div class="container">
            <div class="row">
                <div class="header-wrap">
				<?php beauty_navigasyon(); ?>
				
                    <div class="post-heading">
                        <h1><?php single_post_title(); ?></h1>
						<hr class="small">
                        <span class="meta"><?php cleanblog_posted_on(); ?></span>
                    </div>
                </div>
            </div>
        </div>
    </header>
			  <!-- Main Content -->
  <div class="container">
      <div class="row">

	<?php } elseif ( is_page_template( 'page-builder.php' ) ) { ?>

	<?php } elseif ( is_page() ) { ?>

    <!-- Page Header -->
    <!-- Set your background image for this header on the line below. -->
	<?php
		$feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
	?>
    <header class="intro-header" style="background-color: <?php echo get_theme_mod( 'cleanblog_header_background_color' ); ?>; background-image: url('<?php echo $feat_image; ?>')">
        <div class="container">
            <div class="row">
                <div class="header-wrap">
				<?php beauty_navigasyon(); ?>
                    <div class="site-heading">
                        <h1><?php single_post_title(); ?></h1>
                        <hr class="small">
                    </div>
					<!-- /.site-heading -->
                </div>
				<!-- /.header-wrap -->
            </div>
			<!-- /.row -->
        </div>
		<!-- /.container -->
    </header>

	<?php } elseif( is_search() ) { ?>

    <!-- Page Header -->
    <!-- Set your background image for this header on the line below. -->
    <?php if ( get_theme_mod('cleanblog_homeintro_image') !='' ) { ?>
	<?php $headerimg = get_theme_mod( 'cleanblog_homeintro_image' ); ?>
	<?php } ?>
    <header class="intro-header" style="background-color: <?php echo get_theme_mod( 'cleanblog_header_background_color' ); ?>; background-image: url('<?php echo $headerimg; ?>')">
        <div class="container">
            <div class="row">
                <div class="header-wrap">
				<?php beauty_navigasyon(); ?>
                    <div class="site-heading">
                        <h1><?php esc_html_e( 'Arama Sonuçları', 'cleanblog' ); ?></h1>
                        <hr class="small">
                        <span class="subheading"><?php printf( esc_html__( '"%s" için arama yaptınız', 'cleanblog' ), '<span>' . get_search_query() . '</span>' ); ?></span>
                    </div>
		    <!-- /.site-heading -->
                </div>
		<!-- /.header-wrap -->
            </div>
	<!-- /.row -->
        </div>
	<!-- /.container -->
    </header>
	
	<?php }  elseif( is_front_page() && is_home() ) { ?>
	<?php get_template_part( 'slider' ); ?>
<?php beauty_navigasyon(); ?>

	<?php }  elseif( is_shop() ) { ?>
<!-- Page Header -->
    <!-- Set your background image for this header on the line below. -->
	<?php
		$feat_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
	?>
    <header class="intro-header" style="background-color: <?php echo get_theme_mod( 'cleanblog_header_background_color' ); ?>; background-image: url('<?php echo $feat_image; ?>')">
        <div class="container">
            <div class="row">
                <div class="header-wrap">
				<?php beauty_navigasyon(); ?>
                    <div class="site-heading">
                        <h1><?php esc_html_e( 'Alışveriş Sayfamız' ); ?></h1>
                        <hr class="small">
                    </div>
					<!-- /.site-heading -->
                </div>
				<!-- /.header-wrap -->
            </div>
			<!-- /.row -->
        </div>
		<!-- /.container -->
    </header>
 

	<?php } else { ?>

    <!-- Page Header -->
    <!-- Set your background image for this header on the line below. -->
	<?php if ( get_theme_mod('cleanblog_homeintro_image') !='' ) { ?>
	<?php $headerimg = get_theme_mod( 'cleanblog_homeintro_image' ); ?>
	<?php } ?>
    <header class="intro-header" style="background-color: <?php echo get_theme_mod( 'cleanblog_header_background_color' ); ?>; background-image: url('<?php echo $headerimg; ?>')">
        <div class="container">
            <div class="row">
                <div class="header-wrap">
				<?php beauty_navigasyon(); ?>
                    <div class="site-heading">
                        
			<?php if (have_posts()) : $count = 0; ?>
        
            <?php if (is_category()) { ?>
        	<header class="archive-header">
        		<h1><?php _e( 'Arşiv', 'woothemes' ); ?> / <?php single_cat_title( '', true ); ?></h1> 
        		
        	</header>        
        
            <?php } elseif (is_day()) { ?>
            <header class="archive-header">
            	<h1><?php _e( 'Arşiv', 'woothemes' ); ?> / <?php the_time( get_option( 'date_format' ) ); ?></h1>
            </header>

            <?php } elseif (is_month()) { ?>
            <header class="archive-header">
            	<h1><?php _e( 'Arşiv', 'woothemes' ); ?> / <?php the_time( 'F, Y' ); ?></h1>
            </header>

            <?php } elseif (is_year()) { ?>
            <header class="archive-header">
            	<h1><?php _e( 'Arşiv', 'woothemes' ); ?> / <?php the_time( 'Y' ); ?></h1>
            </header>

            <?php } elseif (is_author()) { ?>
            <header class="archive-header">
            	<h1><?php _e( 'Yazara göre arşiv', 'woothemes' ); ?></h1>
            </header>

            <?php } elseif (is_tag()) { ?>
            <header class="archive-header">
            	<h1><?php _e( 'Etiket Arşivi:', 'woothemes' ); ?> <?php single_tag_title( '', true ); ?></h1>
            </header>
            
            <?php } ?>

	        <div class="fix"></div>
			<?php endif; ?> 
                    </div>
		    <!-- /.site-heading -->
                </div>
		<!-- /.header-wrap -->
            </div>
	    <!-- /.row -->
        </div>
	<!-- /.container -->
    </header>

	<?php } ?>

<?php }
endif;
