<?php
/*---------------------------------------------------*/
/*Uses get_the_excerpt() to print an excerpt by specifying a maximium number of characters. */
/*------------------------------------------------*/
if ( ! function_exists( 'mk_excerpt_max_charlength' ) ) {
	function mk_excerpt_max_charlength( $charlength ) {
		$excerpt = get_the_excerpt();
		$charlength++;

		if ( mb_strlen( $excerpt ) > $charlength ) {
			$subex   = mb_substr( $excerpt, 0, $charlength - 5 );
			$exwords = explode( ' ', $subex );
			$excut   = -(mb_strlen( $exwords[ count( $exwords ) - 1 ] ));
			if ( $excut < 0 ) {
				echo mb_substr( $subex, 0, $excut );
			} else {
				echo $subex;
			}
			echo '[...]';
		} else {
			echo $excerpt;
		}
	}
}
// function to count views.
if ( ! function_exists( 'pietergoosen_get_post_views' ) ) :

function pietergoosen_get_post_views($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return 0;
   }
   return $count;
}
endif;
// function to count views.
if ( ! function_exists( 'pietergoosen_update_post_views' ) ) :

    function pietergoosen_update_post_views($postID) {
       if( !current_user_can('administrator') ) {
         $user_ip = $_SERVER['REMOTE_ADDR']; //retrieve the current IP address of the visitor
         $key = $user_ip . 'x' . $postID; //combine post ID & IP to form unique key
         $value = array($user_ip, $postID); // store post ID & IP as separate values (see note)
         $visited = get_transient($key); //get transient and store in variable

         //check to see if the Post ID/IP ($key) address is currently stored as a transient
         if ( false === ( $visited ) ) {

            //store the unique key, Post ID & IP address for 12 hours if it does not exist
            set_transient( $key, $value, 60*60*12 );

           // now run post views function
           $count_key = 'post_views_count';
           $count = get_post_meta($postID, $count_key, true);
           if($count==''){
              $count = 0;
              delete_post_meta($postID, $count_key);
              add_post_meta($postID, $count_key, '0');
           }else{
              $count++;
              update_post_meta($postID, $count_key, $count);
           }
         }
       }
    }

endif;
/*-----------------------------------------------------------------------------------*/
/*	Related Posts
/*-----------------------------------------------------------------------------------*/
function tj_related_posts() {
	global $post, $wpdb;
	$related_post_found = '';
	$backup = $post;  // backup the current object
	$tags = wp_get_post_tags($post->ID);
	$tagIDs = array();
	if ($tags) {
	  $tagcount = count($tags);
	  for ($i = 0; $i < $tagcount; $i++) {
	    $tagIDs[$i] = $tags[$i]->term_id;
	  }

	  $args=array(
	    'tag__in' => $tagIDs,
	    'post__not_in' => array($post->ID),
		'posts_per_page' => 3,
	    'ignore_sticky_postsy'=>1
	  );
	  $my_query = new WP_Query($args);
	  if( $my_query->have_posts() ) { $related_post_found = true; ?>
	  <div class="related-posts">
		<h3><?php _e('Benzer yazılar:', 'textdomain'); ?></h3>
			<ul>
	    <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
				<li>
                    <?php
                if(has_post_thumbnail()){ ?>
                    <?php the_post_thumbnail('entry-bottom-thumb', array('class' => 'entry-bottom-thumb')); ?>
                <?php } else { ?>
				<img src="<?php bloginfo('template_directory'); ?>/inc/images/common-banner.png" class="entry-bottom-thumb" /> <?php } ?>
					<a class="title" href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a>
                    <span><?php the_date('j M. Y'); ?>&nbsp;//</span>
					<?php if ( comments_open() ) : ?>
                    <span class="yorumlar"><?php comments_number( 'yorum yok', '1 yorum', '% yorum' ); ?></span><?php endif; ?>
                     <span>//<?php echo pietergoosen_update_post_views(get_the_ID()); ?>
					 <?php $views = pietergoosen_get_post_views(get_the_ID());
                                  if(pietergoosen_get_post_views(get_the_ID()) == 1) {  
                                   printf( __( '%d', 'textdomain' ) , $views );
                                    } else {  
                                    printf( __( '%d', 'textdomain' ) , $views );  
                                       }  
                                       ?>&nbsp;Görüntüleme</span>
				</li>
	    <?php endwhile; ?>
			</ul>
			</div>
  
	  <?php }
	}

	//show recent posts if no related found
	if(!$related_post_found){ ?>
	<div class="related-posts">
		<h3><?php _e('Bunları da beğenebilirsiniz:', 'textdomain'); ?></h3>
		<ul>
		<?php
		$posts = get_posts('numberposts=3&offset=0');
		foreach($posts as $post) { ?>
            <li>
                <?php
                if(has_post_thumbnail()){ ?>
                    <?php the_post_thumbnail('entry-bottom-thumb', array('class' => 'entry-bottom-thumb')); ?>
                <?php } else { ?>
				<img src="<?php bloginfo('template_directory'); ?>/inc/images/common-banner.png" class="entry-bottom-thumb" /> <?php } ?>
                <a class="title" href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a>
                <span><?php the_time('j M. Y') ?></span>
                <span class="yorumlar"><?php comments_number( 'Yorum yok', '1 yorum', '% yorum' ); ?></span>
                 <span><?php echo pietergoosen_update_post_views(get_the_ID()); ?>
				 <?php $views = pietergoosen_get_post_views(get_the_ID());
                                  if(pietergoosen_get_post_views(get_the_ID()) == 1) {  
                                   printf( __( '%d', 'textdomain' ) , $views );
                                    } else {  
                                    printf( __( '%d', 'textdomain' ) , $views );  
                                       }  
                                       ?>&nbsp; Görüntüleme
									   </span>
            </li>
		<?php } ?>
		</ul>
		</div>

		<?php
	}
	wp_reset_query();
}
/*************** COMMENTS ***************************/
/**
 * Adds rounded class to avatars
 *
 * @return modified css
 * @since 1.0
 **/
function oxy_change_avatar_css($class , $id , $size) {
    // if it's the admin bar , don't touch it.
    if( $size == 300 ) {
        // comment walker sends an object
        if( is_object( $id ) ) {
            $author_url = $id->user_id == 0 ? '#' : get_author_posts_url( $id->user_id );
        }
        else {
            $author_url = get_author_posts_url( $id );
        }
        // show avatar option
        //if( oxy_get_option('site_avatars') == 'on'){
            $class = str_replace("class='avatar", "class='img-circle ", $class);
            return  '<a class="box-inner" href="' . $author_url . '">' . $class . '</a>';
        //}
        //don't show anything
        //return '';
    }
    return $class;

}
add_filter( 'get_avatar', 'oxy_change_avatar_css' ,10 , 5);


/** COMMENTS WALKER */
class OxyCommentWalker extends Walker_Comment {

    // init classwide variables
    var $tree_type = 'comment';
    var $db_fields = array( 'parent' => 'comment_parent', 'id' => 'comment_ID' );


    function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output ) {

        if ( !$element )
           return;

        $id_field = $this->db_fields['id'];
        $id = $element->$id_field;

        parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );

        // If we're at the max depth, and the current element still has children, loop over those and display them at this level
        // This is to prevent them being orphaned to the end of the list.
        if ( $max_depth <= $depth + 1 && isset( $children_elements[$id]) ) {
            foreach ( $children_elements[ $id ] as $child )
                $this->display_element( $child, $children_elements, $max_depth, $depth, $args, $output );

            unset( $children_elements[ $id ] );
        }

    }

    /** CONSTRUCTOR
     * You'll have to use this if you plan to get to the top of the comments list, as
     * start_lvl() only goes as high as 1 deep nested comments */
    function __construct() { ?>

        <div id="comment-list">

    <?php }

    /** START_LVL
     * Starts the list before the CHILD elements are added. Unlike most of the walkers,
     * the start_lvl function means the start of a nested comment. It applies to the first
     * new level under the comments that are not replies. Also, it appear that, by default,
     * WordPress just echos the walk instead of passing it to &$output properly. Go figure.  */
    function start_lvl( &$output, $depth = 0, $args = array() ) {
        $GLOBALS['comment_depth'] = $depth + 1; ?>

                <!--<ul class="children">-->
    <?php }

    /** END_LVL
     * Ends the children list of after the elements are added. */
    function end_lvl( &$output, $depth = 0, $args = array() ) {
        $GLOBALS['comment_depth'] = $depth + 1; ?>

        <!--</ul>--><!-- /.children -->

    <?php }

    /** START_EL */
    function start_el( &$output, $comment, $depth=0, $args=array(), $id = 0 ) {
        $depth++;
        $GLOBALS['comment_depth'] = $depth;
        $GLOBALS['comment'] = $comment;
        $parent_class = ( empty( $args['has_children'] ) ? '' : 'parent' ); ?>
        <?php
        switch ( $comment->comment_type ) :
             case 'pingback':
             case 'trackback':
             // Display trackbacks differently than normal comments.
        ?>
        <div>
            <p><?php _e( 'Pingback:', THEME_FRONT_TD ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', THEME_FRONT_TD ), '<span class="edit-link">', '</span>' ); ?></p>
        <?php
            break;
            default:
            // Proceed with normal comments.
            global $post;
        ?>

        <div <?php comment_class( 'media media-comment' ); ?> >
            <div class="round-box box-mini pull-left">
                <?php echo get_avatar( $comment, 300 ); ?>
            </div>
            <div class="media-body">
                <div class="media-inner">
                    <div <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
                        <h5 class="media-heading">
                            <?php comment_author_link(); ?>
                            -
                            <?php comment_date(); ?>
                            <span class="comment-reply pull-right">
                                <?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Yanıtla', 'textdomain' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                            </span>
                        </h5>
                        <?php comment_text(); ?>
                    </div>
                </div>
    <?php endswitch; ?>

    <?php }

    function end_el(&$output, $comment, $depth = 0, $args = array() ) {
        switch ( $comment->comment_type ) :
            case 'pingback':
            case 'trackback':
             // Display trackbacks differently than normal comments.
        ?>
        </div>
        <?php
            break;
            default:
        ?>
            </div><!-- /media body -->
        </div><!-- /comment-->
        <?php endswitch;

    }

    /** DESTRUCTOR
     * I just using this since we needed to use the constructor to reach the top
     * of the comments list, just seems to balance out :) */
    function __destruct() { ?>

    </div><!-- /#comment-list -->

    <?php }
}


/**
 * Customize comments form
 *
 *@return void
 *@since 1.0
 **/
function oxy_comment_form( $args = array(), $post_id = null ) {
    global $user_identity, $id;

    if ( null === $post_id )
        $post_id = $id;
    else
        $id = $post_id;

    $commenter = wp_get_current_commenter();

    $req = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $fields =  array(
        'author' => '<div class="control-group"><div class="controls"><input id="author" name="author" placeholder="' . __('isminiz', 'textdomain') . '" type="text" class="input-xlarge" value="' . esc_attr( $commenter['comment_author'] ) .  '"/></div></div>',
        'email'  => '<div class="control-group"><div class="controls"><input id="email" name="email" placeholder="' . __('mail adresiniz', 'textdomain') . '" type="text" class="input-xlarge" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" /></div></div>',
        'url'    => '',
    );

    $required_text = sprintf( ' ' . __('Gerekli alanlar %s ile işaretlidir', 'textdomain'), '<span class="required"><a>*</a></span>' );
    $defaults = array(
        'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
        'comment_field'        => '<div class="control-group message"><div class="controls"><textarea id="comment" name="comment" placeholder="' . __('yorumunuzu buraya ekleyin', 'textdomain') . '" class="input-xxlarge" rows="3"></textarea></div></div>',
        'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'Yorum yapmak için <a href="%s">giriş</a> yapmalısınız.', 'textdomain' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
        'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( '<a href="%1$s">%2$s</a> olarak giriş yaptınız. <a href="%3$s" title="Log out of this account">Çıkış?</a>', 'textdomain' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
        'comment_notes_before' => '',
        'comment_notes_after'  => '',

        'id_form'              => 'commentform',
        'id_submit'            => 'submit',
        'title_reply'          => __( 'Yorum ekleyin', 'textdomain' ),
        'title_reply_to'       => __( 'Yanıt bırak', 'textdomain' ),
        'cancel_reply_link'    => __( 'Yanıt iptal', 'textdomain' ),
        'label_submit'         => __( 'Yorum gönder', 'textdomain' ),
    );

    $args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );

    ?>
        <?php if ( comments_open() ) : ?>
            <?php do_action( 'comment_form_before' ); ?>
            <div class="comments-form"  id="respond">
                <h3 id="reply-title" class="comment-form small-screen-center"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small id="cancel-comment-reply"><?php cancel_comment_reply_link('İptal') ?></small></h3>
                <?php if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) : ?>
                    <?php echo $args['must_log_in']; ?>
                    <?php do_action( 'comment_form_must_log_in_after' ); ?>
                <?php else : ?>
                    <form action="<?php echo site_url( '/wp-comments-post.php' ); ?>" method="post" id="<?php echo esc_attr( $args['id_form'] ); ?>">
                        <fieldset>
                        <?php do_action( 'comment_form_top' ); ?>
                        <?php if ( is_user_logged_in() ) : ?>
                            <?php echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity ); ?>
                            <?php do_action( 'comment_form_logged_in_after', $commenter, $user_identity ); ?>
                        <?php else : ?>
                            <?php echo $args['comment_notes_before']; ?>
                            <?php
                            do_action( 'comment_form_before_fields' );
                            foreach( (array) $args['fields'] as $name => $field ) {
                                echo apply_filters( 'comment_form_field_'.$name, $field ) . "\n";
                            }
                            do_action( 'comment_form_after_fields' );
                            ?>
                        <?php endif; ?>
                        <?php echo apply_filters( 'comment_form_field_comment', $args['comment_field'] ); ?>
                        <?php echo $args['comment_notes_after']; ?>
                        <div class="control-group">
                            <div class="controls small-screen-center">
                                <button name="submit" type="submit" class="btn btn-primary" id="<?php echo esc_attr( $args['id_submit'] ); ?>" value="<?php echo esc_attr( $args['label_submit'] ); ?>"><?php echo esc_attr( $args['label_submit'] ); ?></button>
                                <?php comment_id_fields(); ?>
                            </div>
                        </div>


                        <?php do_action( 'comment_form', $post_id ); ?>
                        </fieldset>
                    </form>
                <?php endif; ?>
            </div><!-- #respond -->
            <?php do_action( 'comment_form_after' ); ?>
        <?php else : ?>
            <?php do_action( 'comment_form_comments_closed' ); ?>
        <?php endif; ?>
    <?php
}

// Enqueue Javascript files
function load_javascript_files() {
	if ( !is_admin() ) {
		if ( is_singular() ) wp_enqueue_script( "comment-reply" );
	}
}
add_action( 'wp_enqueue_scripts', 'load_javascript_files' );