<?php
/*  Being custom post types */
add_action('init', 'yemekler_register');

function yemekler_register() {

    $labels = array(
        'name' => _x('Hizmetler', 'post type general name'),
        'singular_name' => _x('Hizmetler Item', 'post type singular name'),
        'add_new' => _x('Yeni Ekle', 'rooms item'),
        'add_new_item' => __('Yeni hizmetler birimi ekle'),
        'edit_item' => __('Edit Hizmetler Item'),
        'new_item' => __('New Hizmetler Item'),
        'view_item' => __('View Yemekler Item'),
        'search_items' => __('Search Hizmetler'),
        'not_found' =>  __('Nothing found'),
        'not_found_in_trash' => __('Nothing found in Trash'),
        'parent_item_colon' => ''
    );

    $args = array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => true,
        'capability_type' => 'post',
        'hierarchical' => false,
        'menu_position' => null,
		'menu_icon' => get_template_directory_uri() . '/inc/images/salon.png',
        'supports' => array('title', 'editor', 'excerpt', 'thumbnail',),
        'rewrite' => array('slug' => 'yemekler', 'with_front' => FALSE)
      ); 

    register_post_type( 'yemekler' , $args );
	
	register_taxonomy( 'kategoriler', array('yemekler'), array(
        'hierarchical' => true, 
        'label' => 'Kategoriler', 
        'singular_label' => 'Category', 
        'rewrite' => array( 'slug' => 'kategoriler', 'with_front'=> false )
        )
    );

    register_taxonomy_for_object_type( 'categories', 'yemekler' ); // Better be safe than sorry
}

/**
 * Create the meta box section, title and assign a callback function
 */
function business_project_meta_box( $post_type ) {
    add_meta_box(
                'product_meta_box',
                __( 'URL','business' ),
                'business_project_meta_box_html',
                'yemekler'
            );
}
add_action( 'add_meta_boxes', 'business_project_meta_box' );

/**
 * Show our Project Details meta section
 */
function business_project_meta_box_html( $fields=null ) {
    global $post; ?>
<p>Rezervasyon butonu URL adresi.
   </p>
            <label><?php _e( '','foody' ); ?></label>
			
                <input type="text" name="_foody_product_uri" class="regular-text" id="_foody_product_uri" value="<?php echo esc_attr( get_post_meta( $post->ID, '_foody_product_uri', true ) ); ?>"/>
				</p>

    <?php
}

/**
 * Save meta fields when post is updated
 */
function business_save_portfolio_custom_meta( $post_id ) {

    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){
        return $post_id;
    }

    $fields = array(
        // Portfolio posts meta
		//'_foody_product_lists',
        '_foody_product_uri',
        );

    foreach( $fields as $field ){
        if ( isset( $_POST[ $field ] ) ){
			// For URLs we esc_url them, other wise we use esc_html
            if ( $field == '_foody_product_uri' ){
                update_post_meta( $post_id, '_foody_product_uri', esc_url( $_POST['_foody_product_uri'] ) );
            } else {
                update_post_meta( $post_id, $field, esc_html( $_POST[ $field ] ) );
            }
        }
    }
}
add_action( 'save_post', 'business_save_portfolio_custom_meta' );
/*--------------------------------------------------------------------------**/
/*	Costom Functions
/*-----------------------------------------------------*/
/* Define the custom box */
add_action( 'add_meta_boxes', 'myplugin_add_custom_box' );

/* Do something with the data entered */
add_action( 'save_post', 'myplugin_save_postdata' );

/* Adds a box to the main column on the Post and Page edit screens */
function myplugin_add_custom_box() {
  add_meta_box( 
		'wp_editor_test_1_box', 
		'Hizmetler Listem',
		'wp_editor_meta_box',
		'yemekler');
}
/* Prints the box content */
function wp_editor_meta_box( $post ) {
	echo '<p>Hizmetler listesi eklemek için "Metin" tab"ına tıklayın ve bazı  &lt;li&gt; elemanları ekleyin. <em>Örnek:  &lt;li&gt;Kadın saç kesimi&lt;i class="yan-yazi"&gt;70&lt;/i&gt;&lt;/li&gt;</em></p>';

  // Use nonce for verification
  wp_nonce_field( plugin_basename( __FILE__ ), 'myplugin_noncename' );

  $hizmetler_listem = get_post_meta( $post->ID, '_hizmet_listem_content', false );
  wp_editor( $hizmetler_listem[0], '_hizmet_listem_content' );
}

/* When the post is saved, saves our custom data */
function myplugin_save_postdata( $post_id ) {

  // verify if this is an auto save routine. 
  // If it is our form has not been submitted, so we dont want to do anything
  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;

  // verify this came from the our screen and with proper authorization,
  // because save_post can be triggered at other times
  if ( ( isset ( $_POST['myplugin_noncename'] ) ) && ( ! wp_verify_nonce( $_POST['myplugin_noncename'], plugin_basename( __FILE__ ) ) ) )
      return;

  // Check permissions
  if ( ( isset ( $_POST['post_type'] ) ) && ( 'page' == $_POST['post_type'] )  ) {
    if ( ! current_user_can( 'edit_page', $post_id ) ) {
      return;
    }    
  }
  else {
    if ( ! current_user_can( 'edit_post', $post_id ) ) {
      return;
    }
  }

  // OK, we're authenticated: we need to find and save the data
  if ( isset ( $_POST['_hizmet_listem_content'] ) ) {
    update_post_meta( $post_id, '_hizmet_listem_content', $_POST['_hizmet_listem_content'] );
  }

}