<?php
/**
 * @category Wp.esakademi Theme
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/jaredatch/Custom-Metaboxes-and-Fields-for-WordPress
 */

add_filter( 'cmb_meta_boxes', 'virtue_metaboxes' );



/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */

function virtue_metaboxes( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = '_kad_';
	$meta_boxes[] = array(
				'id'         => 'subtitle_metabox',
				'title'      => __( "Rezervasyon Butonu", 'virtue' ),
				'pages'      => array( 'page' ), // Post type
				'show_on' => array('key' => 'page-template', 'value' => array( 'template-rezervasyon.php')),
				'context'    => 'normal',
				'priority'   => 'high',
				'show_names' => true, // Show field names on the left
				'fields' => array(
					array(
						'name' => __( "Buton Linki", 'virtue' ),
						'desc' => __( "Buton linki sitenin header kısmında görünecek", 'virtue' ),
						'id'   => $prefix . 'rezervasyon',
						'type' => 'text',
					),
				)
			);
$meta_boxes[] = array(
				'id'         => 'contact_metabox',
				'title'      => __('İletişim Sayfası Seçenekleri', 'virtue'),
				'pages'      => array( 'page' ), // Post type
				'show_on' => array('key' => 'page-template', 'value' => array( 'template-rezervasyon.php')),
				'context'    => 'normal',
				'priority'   => 'high',
				'show_names' => true, // Show field names on the left
				'fields' => array(
			
			array(
				'name' => __('İletişim Formu Başlığı', 'virtue'),
				'desc' => __('ör. Bize bir mail gönderin', 'virtue'),
				'id'   => $prefix . 'contact_form_title',
				'type' => 'text',
			),

			array(
				'name' => __('Contact Form Address Title', 'virtue'),
				'desc' => __('ör. Bize ulaşın', 'virtue'),
				'id'   => $prefix . 'contact_adres_title',
				'type' => 'text',
			),
			array(
				'name' => __('Adres Açıklaması', 'virtue'),
				'desc' => __('ör. Detaylı bilgi için sizi arayalım.', 'virtue'),
				'id'   => $prefix . 'contact_adres_desc',
				'type' => 'text',
			),
			array(
				'name' => __('Adres', 'virtue'),
				'desc' => __('Açık adresinizi girin', 'virtue'),
				'id'   => $prefix . 'contact_address',
				'type' => 'text',
			),
			array(
				'name' => __('Telefon', 'virtue'),
				'desc' => __('Telefon numarası giriniz', 'virtue'),
				'id'   => $prefix . 'tel_number',
				'type' => 'text',
			),
			array(
				'name' => __('Mail bilgileri', 'virtue'),
				'desc' => __('Mail adresinizi giriniz', 'virtue'),
				'id'   => $prefix . 'mail_adres',
				'type' => 'text',
			),
			array(
				'name' => __('Harita bilgileri', 'virtue'),
				'desc' => __('Harita adresi giriniz', 'virtue'),
				'id'   => $prefix . 'map_adres',
				'type' => 'textarea_code',
			),
			array(
                'name' => __('İletişim Formu Kullan', 'virtue'),
                'desc' => '',
                'id' => $prefix .'contact_form',
                'type'    => 'select',
				'options' => array(
					array( 'name' => __('Yes', 'virtue'), 'value' => 'yes', ),
					array( 'name' => __('No', 'virtue'), 'value' => 'no', ),
				),
			),
			array(
                'name' => __('Harita Kullan', 'virtue'),
                'desc' => '',
                'id' => $prefix .'contact_map',
                'type'    => 'select',
				'options' => array(
					array( 'name' => __('No', 'virtue'), 'value' => 'no', ),
					array( 'name' => __('Yes', 'virtue'), 'value' => 'yes', ),
				),
			),
			array(
                'name' => __('Güvenlik Kodu Kullan', 'virtue'),
                'desc' => 'İletişim formunda güvenlik kodu ekler.',
                'id' => $prefix .'contact_form_math',
                'type'    => 'select',
				'options' => array(
					array( 'name' => __('Yes', 'virtue'), 'value' => 'yes', ),
					array( 'name' => __('No', 'virtue'), 'value' => 'no', ),
				),
			),	
			));
	return $meta_boxes;
}

add_action( 'init', 'initialize_showcase_meta_boxes', 9999 );
/**
 * Initialize the metabox class.
 */
function initialize_showcase_meta_boxes() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'cmb/init.php';

}